FreeMat

- Main Page
- Related Pages

vtkImageTwoInputFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkImageTwoInputFilter handles two inputs. It is just a subclass of vtkImageMultipleInputFilter with some methods that are specific to two inputs. Although the inputs are labeled input1 and input2, they are stored in an array indexed starting at 0.

To create an instance of class vtkImageTwoInputFilter, simply invoke its constructor as follows

      obj = vtkImageTwoInputFilter

# Methods

The class vtkImageTwoInputFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageTwoInputFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageTwoInputFilter = obj.NewInstance ()`
- `vtkImageTwoInputFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput1 (vtkImageData input)` - Set the Input1 of this filter. If a ScalarType has not been set, then the ScalarType of the input is used.
- `obj.SetInput2 (vtkImageData input)` - Set the Input2 of this filter. If a ScalarType has not been set, then the ScalarType of the input is used.
- `vtkImageData = obj.GetInput1 ()` - Get the inputs to this filter.
- `vtkImageData = obj.GetInput2 ()` - Get the inputs to this filter.